## gdpdepay gdpdepay — Depayloads GStreamer Data Protocol buffers |

## Synopsis

    struct              GstGDPDepay;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstGDPDepay

## Description

This element depayloads GStreamer Data Protocol buffers back to deserialized buffers and events.

    1
    gst-launch -v -m filesrc location=test.gdp ! gdpdepay ! xvimagesink

This pipeline plays back a serialized video stream as created in the example for gdppay.

## Synopsis

### Element Information

plugin | gdp
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | GDP/Depayloader

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-gdp

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstGDPDepay

    struct GstGDPDepay;

Private gdpdepay element structure.

## See Also

gdppay